Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.extract.pipe
Class TokenSequence2Tokenization

    java.lang.Object
      cc.mallet.pipe.Pipe
          cc.mallet.extract.pipe.TokenSequence2Tokenization

All Implemented Interfaces:
  AlphabetCarrying, java.io.Serializable

    public class TokenSequence2Tokenization

extends Pipe

Heuristically converts a simple token sequence into a Tokenization that can be used with all the extract package goodies.

Users of this class should be warned that the tokens' features and properties list are moved over directly, with no deep-copying. Created: Jan 21, 2005

Version:
  $Id: TokenSequence2Tokenization.java,v 1.1 2007/10/22 21:38:00 mccallum Exp $
Author:
  Serialized Form

Constructor Summary
`TokenSequence2Tokenization()`

Method Summary
`Instance` | `pipe(Instance carrier)` Really this should be 'protected', but isn't for historical reasons.

Methods inherited from class cc.mallet.pipe.Pipe
`alphabetsMatch, getAlphabet, getAlphabets, getDataAlphabet, getInstanceId, getTargetAlphabet, instanceFrom, instancesFrom, instancesFrom, isDataAlphabetSet, isTargetProcessing, newIteratorFrom, preceedingPipeDataAlphabetNotification, preceedingPipeTargetAlphabetNotification, precondition, readResolve, setDataAlphabet, setOrCheckDataAlphabet, setOrCheckTargetAlphabet, setTargetAlphabet, setTargetProcessing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TokenSequence2Tokenization

    public TokenSequence2Tokenization()

Method Detail

### pipe

    public Instance pipe(Instance carrier)

  Description copied from class: `Pipe`
  Really this should be 'protected', but isn't for historical reasons.

  Overrides:
    `pipe` in class `Pipe`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD